package com.antai.sport.http.server.game.api.business.sport.social.service;

import com.antai.sport.http.server.common.annotation.LoginSportUser;
import com.antai.sport.http.server.game.api.business.sport.social.mapper.SportUserFriendsBusinessMapper;
import com.antai.sport.http.server.repository.sport.entity.SportUser;
import com.antai.sport.http.server.repository.sport.mapper.SportUserFriendsMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class FriendsService {

    @Resource
    private SportUserFriendsMapper sportUserFriendsMapper;
    @Resource
    private SportUserFriendsBusinessMapper sportUserFriendsBusinessMapper;

    public List<Long> getFriends(@LoginSportUser SportUser loginUser) {
        return sportUserFriendsBusinessMapper.getFriends(loginUser.getId());
    }

}
